function batch_eval(command_string , proc_num)

if(nargin != 2)
  error("number of argument must be 2");
endif

if((! isstr( command_string ))||
   (! isscalar( proc_num )) )
  error("number of argument must be 2");
endif

try
  
  mpi_init( proc_num );
  
  for i = proc_num -1 : -1:0
    reval( command_string , i );
  endfor
  
  mpi_finalize;

catch
  
  mpi_finalize;
  error("operation canceled");
end
  