% sample script for parallel-octave
%
% type
%
%  batch_eval("helloworld", num_of_proc);
%
% in parallel_octave

comm = 0;
tag = 0;

if( mpi_comm_rank(comm) == 0 )
  for ii = 1:mpi_comm_size(comm)-1
    msg_size = mpi_recv( sizeof, ii, tag, comm);
    msg = mpi_recv( msg_size, ii, tag, comm);
    fprintf(stderr,"%s",msg);
  endfor
else
  msg = sprintf( "hello world from rank=%d\n", mpi_comm_rank(comm));
  mpi_send(sizeof(msg), sizeof, 0, tag, comm);
  mpi_send( msg, sizeof(msg), 0, tag, comm);
endif