#include <unistd.h>
#include"fileplace.h"

Fileplace *Fileplace::instance=NULL;

string Fileplace::get_environ(string key){
  for(char **p=environ;*p;p++){
    string tmp(*p);
    if(tmp.find(key)!=tmp.npos){
      return tmp.substr(tmp.find("=")+1,tmp.length())+string("/");
    }
  }
  return "";
};

bool Fileplace::search_environ(string key){
  for(char **p=environ;*p;p++){
    string tmp(*p);
    if(tmp.find(key)!=tmp.npos){
      return true;
    }
  }
  return false;
};

string Fileplace::getpath(void){

  if(!instance){
    instance=new Fileplace(std::string(""));
  }

//    puts((instance->path+instance->common_dirname+string("/")+
//  	instance->individual_dirname+string("/")).c_str());

  return instance->path+instance->common_dirname+string("/")+
    instance->individual_dirname+string("/");
};

bool Fileplace::set_prefix(std::string p){

  if(!instance){
    instance=new Fileplace(p);
    return true;
  }

  //When instance is already instance-ized,
  //This method has no effect.
  return false;
};

bool Fileplace::createdir(string fullpath){
  if(mkdir(fullpath.c_str(),0700)==-1){
    return false;
  }
  return true;
};



