#ifndef _ERROR_LOG_H_
#define _ERROR_LOG_H_

#include <stdio.h>
#include <string>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>

using namespace std;

class Log{
 private:
  int fd;
  string hostname;
  void nfslock(void);
  void nfsunlock(void);
 public:
  Log(const string &,const int);
  bool writelog(char *fmt,...);
  ~Log(void);
};
   
#endif
