#include "octave_mpi_functions.h"

std::string Function_mpi_barrier::do_op(void){
  int key;

  octaveproc->recv(&key,sizeof(int));

  data_conv_map<int,MPI_Comm>::iterator it;
  MPI_Comm comm;
  it=map_mpi_comm.find(key);
  if(it==map_mpi_comm.end()){
    MPI_Comm *comm_p;
    comm_p=new MPI_Comm;
    map_mpi_comm.insert(std::make_pair(key,*comm_p));
    comm=*comm_p;
  }
  else{
    comm=it->second;
  }

  MPI_Barrier(MPI_COMM_WORLD);

  int retval=0;
  octaveproc->send(&retval,sizeof(int));

  return std::string("mpi_cancel finish");
};
