
#ifndef _OCTAVE_MPI_HEADER_
#define _OCTAVE_MPI_HEADER_

#include "oh.h"
#include "global.h"



class Function_mpi_abort:public Function{
public: 
    Function_mpi_abort(void){name=std::string("mpi_abort");}; 
    std::string do_op(void);
    virtual ~Function_mpi_abort(void){};
};

class Function_mpi_comm_size:public Function{
public: 
    Function_mpi_comm_size(void){name=std::string("mpi_comm_size");}; 
    std::string do_op(void);
    virtual ~Function_mpi_comm_size(void){};
};

class Function_mpi_send:public Function{
public: 
    Function_mpi_send(void){name=std::string("mpi_send");}; 
    std::string do_op(void);
    virtual ~Function_mpi_send(void){};
};

class Function_mpi_comm_rank:public Function{
public: 
    Function_mpi_comm_rank(void){name=std::string("mpi_comm_rank");}; 
    std::string do_op(void);
    virtual ~Function_mpi_comm_rank(void){};
};

class Function_mpi_recv:public Function{
public: 
    Function_mpi_recv(void){name=std::string("mpi_recv");}; 
    std::string do_op(void);
    virtual ~Function_mpi_recv(void){};
};

class Function_mpi_irecv:public Function{
public: 
    Function_mpi_irecv(void){name=std::string("mpi_irecv");}; 
    std::string do_op(void);
    virtual ~Function_mpi_irecv(void){};
};

class Function_mpi_cancel:public Function{
public: 
    Function_mpi_cancel(void){name=std::string("mpi_cancel");}; 
    std::string do_op(void);
    virtual ~Function_mpi_cancel(void){};
};

class Function_mpi_test:public Function{
public: 
    Function_mpi_test(void){name=std::string("mpi_test");}; 
    std::string do_op(void);
    virtual ~Function_mpi_test(void){};
};

class Function_mpi_wait:public Function{
public: 
    Function_mpi_wait(void){name=std::string("mpi_wait");}; 
    std::string do_op(void);
    virtual ~Function_mpi_wait(void){};
};

class Function_mpi_testany:public Function{
public: 
    Function_mpi_testany(void){name=std::string("mpi_testany");}; 
    std::string do_op(void);
    virtual ~Function_mpi_testany(void){};
};

class Function_mpi_waitany:public Function{
public: 
    Function_mpi_waitany(void){name=std::string("mpi_waitany");}; 
    std::string do_op(void);
    virtual ~Function_mpi_waitany(void){};
};

class Function_mpi_testall:public Function{
public: 
    Function_mpi_testall(void){name=std::string("mpi_testall");}; 
    std::string do_op(void);
    virtual ~Function_mpi_testall(void){};
};

class Function_mpi_waitall:public Function{
public: 
    Function_mpi_waitall(void){name=std::string("mpi_waitall");}; 
    std::string do_op(void);
    virtual ~Function_mpi_waitall(void){};
};

class Function_mpi_bcast:public Function{
public: 
    Function_mpi_bcast(void){name=std::string("mpi_bcast");}; 
    std::string do_op(void);
    virtual ~Function_mpi_bcast(void){};
};

class Function_mpi_barrier:public Function{
public: 
    Function_mpi_barrier(void){name=std::string("mpi_barrier");}; 
    std::string do_op(void);
    virtual ~Function_mpi_barrier(void){};
};
#endif
