#ifndef _OPERATIONHANDLER_H_
#define _OPERATIONHANDLER_H_

#include <string>
#include <vector>
#include "fifo_host.h"

using namespace std;

class Function{
 protected:
  string name;
  static Netbase *octaveproc;
 public:
  static void setfd(Netbase *);
  Function(void);
  string getname(void);
  virtual string do_op(void)=0;
  virtual ~Function(void);
};

class Handler{
 private:
  static vector<Function *> functionlist;
 public:
  static bool registfunc(Function *);
  static string handle(string);
  ~Handler(void);
};
  
#endif
