% sample script for parallel-octave
%
% type
%
%  batch_eval("dist_sum", 2);
%
% in parallel_octave

comm = 0;
tag = 0;

if( mpi_comm_rank(comm) == 0 )
  result = sum(1:50);
  for ii = 1:mpi_comm_size(comm)-1
    msg_size = mpi_recv( sizeof, ii, tag, comm);
    result   = result + mpi_recv( msg_size, ii, tag, comm);
  endfor
  fprintf(stderr,"sum(1:100) = %d \n", result);
else
  result = sum(51:100);
  mpi_send( sizeof(result), sizeof, 0, tag, comm);
  mpi_send( result, sizeof, 0, tag, comm);
endif