#ifndef _MESSAGE_BASE_H_
#define _MESSAGE_BASE_H_

#include<list>
#include<string>

class message_base{
 public:

  bool do_exchange(void);
  bool regist_send(const std::string &name,const void *buff, size_t size);
  bool regist_recv(const std::string &name,const void *buff, size_t size);

 private:

  struct msg
  {
    std::string msg_name;
    void *buff;
    int buff_size;
  };

  std::list<msg *> send_msg;
  std::list<msg *> recv_msg;

};

#endif
