#include "octave_mpi_functions.h"

std::string Function_mpi_cancel::do_op(void){
  int key;

  int retval; //SUCCESS:0,FAILURE=-1

  octaveproc->recv(&key,sizeof(int));

  data_conv_map<int,req_bin *>::iterator it;
  it=map_mpi_request.find(key);
  if(it==map_mpi_request.end()){
    //if There is no MPI_Request, Nothing called
    retval=-1;
    octaveproc->send(&retval,sizeof(int));
    return std::string("mpi_cancel finish");
  }

  MPI_Cancel(&it->second->request);

  //Delete bin_req from map
  delete it->second;
  map_mpi_request.erase(key);
  retval=0;
  octaveproc->send(&retval,sizeof(int));

  return std::string("mpi_cancel finish");
};
