#include "octave_mpi_functions.h"

std::string Function_mpi_test::do_op(void){
  //NEEDFIX

  //When We call MPI_Cancel after MPI_test call,
  //MPI-process return error message
  //"MPI_Cancel: invalid argument (rank 0, MPI_COMM_WORLD)"
  
  int key;

  int retval; //SUCCESS:0,FAILURE=-1

  octaveproc->recv(&key,sizeof(int));

  data_conv_map<int,req_bin *>::iterator it;
  it=map_mpi_request.find(key);
  if(it==map_mpi_request.end()){
    //if There is no MPI_Request, Nothing called
    retval=-1;
    octaveproc->send(&retval,sizeof(int));
    return std::string("mpi_test finish");
  }

  MPI_Status stat;
  MPI_Test(&it->second->request,&retval,&stat);

  octaveproc->send(&retval,sizeof(int));

  return std::string("mpi_test finish");
};
