#include"oh.h"
#include<assert.h>

Netbase *Function::octaveproc=NULL;

void Function::setfd(Netbase *f){
  octaveproc=f;
};

Function::Function(void){
  name="Function";
};

Function::~Function(void){
};

string Function::getname(void){
  return name;
};

vector<Function *> Handler::functionlist;

bool Handler::registfunc(Function *func){
  functionlist.push_back(func);
  return true;
};

string Handler::handle(string operation){
  vector<Function *>::iterator itr;
  for(itr=functionlist.begin();itr!=functionlist.end();itr++){
    if((*itr)->getname()==operation)
      return (*itr)->do_op();
  }
  return "No Such function";
};
      
  
Handler::~Handler(void){
  vector<Function *>::iterator itr;
  for(itr=functionlist.begin();itr!=functionlist.end();itr++){
    delete *itr;
  }
  functionlist.clear();
};
