#include <cstdlib>
#include <cstdio>
#include <string>

#include "msg_base.h"

void proc1(void)
{
  perror("enter process 1");

  int size = 5;
  char buff[size];
  
  message_base msg1;

  msg1.regist_send("1",&size,sizeof(int));  
  msg1.regist_send("2",buff,size);

  msg1.do_exchange();

}

void proc2(void)
{
  perror("enter process 2");
  message_base msg2;

  int size = 0;

  msg2.regist_recv("1", &size,sizeof(int));
  msg2.do_exchange();

  char buff[size];
  
  msg2.regist_recv("2", buff,size);
  msg2.do_exchange();

}

int main(int argc, char *argv[])
{
  if( argc != 2 )
    {
      fprintf(stderr, "invalird argument\n");
      return EXIT_FAILURE;
    }
  
  if(std::string(argv[1]) == "proc1")
    {
      proc1();
    }
  else if(std::string(argv[1]) == "proc2")
    {
      proc2();
    };
  
};
